commit:     1c36873f322e11d69255dcb525abe8e816efb4f2
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  9 21:03:07 2018 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Tue Oct  9 21:03:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c36873f

app-crypt/gpgme: version bump

Signed-off-by: Alon Bar-Lev <alonbl <AT> gentoo.org>
Package-Manager: Portage-2.3.49, Repoman-2.3.11

 app-crypt/gpgme/Manifest            |   1 +
 app-crypt/gpgme/gpgme-1.12.0.ebuild | 117 ++++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/app-crypt/gpgme/Manifest b/app-crypt/gpgme/Manifest
index 46a057841ae..940cef61b32 100644
--- a/app-crypt/gpgme/Manifest
+++ b/app-crypt/gpgme/Manifest
@@ -1 +1,2 @@
 DIST gpgme-1.11.1.tar.bz2 1419232 BLAKE2B 
93980c24e6d692f35105db23a02db891ef022addd583d5bda8e55ec3552dfebb87c9feebb74fdd59fa353a3b08571e51537f8dcaf63af018beff467a848e97e9
 SHA512 
42fa6f5d6217aaad9b44b969de9603167d179af9a1573342187718ff123cd88c686211c3dc5f2d9cacc20226ab5b8fef85cb66a19ada71d267c397d8ba52cf1a
+DIST gpgme-1.12.0.tar.bz2 1658803 BLAKE2B 
630646af597074c06a99c1170c4f8170ad0fe4ba643a27a87a61dd8df681ca14f023b07817657bb049eaeaef01df3975bd1fe1b75a026634a62f832c6c311b56
 SHA512 
c228b3df28377df882be536ada56dc9c73150048a58e591aa4495f89c854af95820152cd60139840f994c249e9c7df50d8b89eb9d6dc4ce02aa80bbfebcdd014

diff --git a/app-crypt/gpgme/gpgme-1.12.0.ebuild 
b/app-crypt/gpgme/gpgme-1.12.0.ebuild
new file mode 100644
index 00000000000..a84457c507b
--- /dev/null
+++ b/app-crypt/gpgme/gpgme-1.12.0.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+DISTUTILS_OPTIONAL=1
+
+inherit distutils-r1 flag-o-matic libtool qmake-utils toolchain-funcs
+
+DESCRIPTION="GnuPG Made Easy is a library for making GnuPG easier to use"
+HOMEPAGE="http://www.gnupg.org/related_software/gpgme";
+SRC_URI="mirror://gnupg/gpgme/${P}.tar.bz2"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="1/11" # subslot = soname major version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="common-lisp static-libs cxx python qt5"
+
+COMMON_DEPEND=">=app-crypt/gnupg-2
+       >=dev-libs/libassuan-2.0.2:=
+       >=dev-libs/libgpg-error-1.29:=
+       python? ( ${PYTHON_DEPS} )
+       qt5? ( dev-qt/qtcore:5 )"
+       #doc? ( app-doc/doxygen[dot] )
+DEPEND="${COMMON_DEPEND}
+       qt5? ( dev-qt/qttest:5 )"
+RDEPEND="${COMMON_DEPEND}
+       cxx? (
+               !<kde-apps/gpgmepp-4.14.11_pre20160611:4
+               !kde-apps/gpgmepp:5
+               !<kde-apps/kdepimlibs-4.14.10_p20160611:4
+               !=kde-apps/kdepimlibs-4.14.11_pre20160211*:4
+       )"
+BDEPEND="python? ( dev-lang/swig )"
+
+REQUIRED_USE="qt5? ( cxx ) python? ( ${PYTHON_REQUIRED_USE} )"
+
+do_python() {
+       if use python; then
+               pushd "lang/python" > /dev/null || die
+               top_builddir="../.." srcdir="." CPP=$(tc-getCPP) 
distutils-r1_src_${EBUILD_PHASE}
+               popd > /dev/null
+       fi
+}
+
+pkg_setup() {
+       addpredict /run/user/$(id -u)/gnupg
+
+       local MAX_WORKDIR=66
+       if [[ "${#WORKDIR}" -gt "${MAX_WORKDIR}" ]]; then
+               ewarn "Disabling tests as WORKDIR '${WORKDIR}' is longer than 
${MAX_WORKDIR} which will fail tests"
+               SKIP_TESTS=1
+       fi
+}
+
+src_prepare() {
+       default
+       elibtoolize
+
+       # Make best effort to allow longer PORTAGE_TMPDIR
+       # as usock limitation fails build/tests
+       ln -s "${P}" "${WORKDIR}/b"
+       S="${WORKDIR}/b"
+}
+
+src_configure() {
+       local languages=()
+       use common-lisp && languages+=( "cl" )
+       use cxx && languages+=( "cpp" )
+       if use qt5; then
+               languages+=( "qt" )
+               #use doc ||
+               export DOXYGEN=true
+               export MOC="$(qt5_get_bindir)/moc"
+       fi
+
+       econf \
+               $([[ -n "${SKIP_TESTS}" ]] && echo "--disable-gpg-test 
--disable-gpgsm-test") \
+               --enable-languages="${languages[*]}" \
+               $(use_enable static-libs static)
+
+       use python && make -C lang/python prepare
+
+       do_python
+}
+
+src_compile() {
+       default
+       do_python
+}
+
+src_test() {
+       [[ -z "${SKIP_TESTS}" ]] || return
+
+       default
+       if use python; then
+               test_python() {
+                       emake -C lang/python/tests check \
+                               PYTHON=${EPYTHON} \
+                               PYTHONS=${EPYTHON} \
+                               TESTFLAGS="--python-libdir=${BUILD_DIR}/lib"
+               }
+               python_foreach_impl test_python
+       fi
+}
+
+src_install() {
+       default
+       do_python
+       find "${D}" -name '*.la' -delete || die
+
+       # backward compatibility for gentoo
+       # in the past we had slots
+       dodir /usr/include/gpgme
+       dosym ../gpgme.h /usr/include/gpgme/gpgme.h
+}

Reply via email to